#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 network-uri
version:              2.6.4.2
visibility:           public
id:                   network-uri-2.6.4.2-1dWojNPLXrt1C0Ods6iJ1k
key:                  network-uri-2.6.4.2-1dWojNPLXrt1C0Ods6iJ1k
license:              BSD-3-Clause
maintainer:           ezra@ezrakilty.net
homepage:             https://github.com/haskell/network-uri
synopsis:             URI manipulation
description:
    This package provides facilities for parsing and unparsing URIs, and creating
    and resolving relative URI references, closely following the URI spec,
    <http://www.ietf.org/rfc/rfc3986.txt IETF RFC 3986>.

    == Backward-compatibility

    In @network-2.6@ the "Network.URI" module was split off from the
    @network@ package into this package. If you'\''re using the "Network.URI"
    module you can be backward compatible and automatically get it from
    the right package by using the
    </package/network-uri-flag network-uri-flag pseudo-package>
    in your @.cabal@ file'\''s build-depends (along with dependencies for
    both @network-uri@ and @network@):

    >  build-depends:
    >     network-uri-flag == 0.1.*

    Or you can do the same manually by adding this boilerplate to your
    @.cabal@ file:

    > flag network-uri
    >   description: Get Network.URI from the network-uri package
    >   default: True
    >
    > library
    >   -- ...
    >   if flag(network-uri)
    >     build-depends: network-uri >= 2.6, network >= 2.6
    >   else
    >     build-depends: network-uri < 2.6, network < 2.6

    That is, get the module from either @network < 2.6@ or from
    @network-uri >= 2.6@.

category:             Network
abi:                  a269401e2cca4ab7948f423510f8a7ea
exposed:              True
exposed-modules:      Network.URI Network.URI.Lens Network.URI.Static
import-dirs:          /usr/lib/ghc-9.8.2/site-local/network-uri-2.6.4.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/network-uri-2.6.4.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/network-uri-2.6.4.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/network-uri-2.6.4.2
hs-libraries:         HSnetwork-uri-2.6.4.2-1dWojNPLXrt1C0Ods6iJ1k
depends:
    base-4.19.1.0-inplace deepseq-1.5.0.0-inplace
    parsec-3.1.17.0-inplace template-haskell-2.21.0.0-inplace
    th-compat-0.1.5-7X2xoLJewQP9JrdaJ23Sp6

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/network-uri-2.6.4.2/html/network-uri.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/network-uri-2.6.4.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

